Package de.gebit.integrity.parameter.conversion.conversions.integrity.dates

## Class AbstractDateValueToString<T>

- java.lang.Object
- - de.gebit.integrity.parameter.conversion.Conversion<DateValue,​T>
  - - de.gebit.integrity.parameter.conversion.conversions.integrity.dates.AbstractDateValueToString<T>

- Type Parameters:
    `T` - the target type
  Direct Known Subclasses:
    `DateValueToFormattedString`, `DateValueToString`

      public abstract class AbstractDateValueToString<T>
      extends Conversion<DateValue,​T>

  A default Integrity conversion.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `Conversion.Priority`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDateValueToString()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected FormattedString` | `convertToFormattedString​(DateValue aSource, ConversionContext aConversionContext)` | Converts the provided `DateValue` to a `FormattedString`.

    - ### Methods inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `convert, convertValueRecursive, convertValueToFormattedStringArrayRecursive, setVisitedObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDateValueToString

          public AbstractDateValueToString()

  - ### Method Detail

    - #### convertToFormattedString

          protected FormattedString convertToFormattedString​(DateValue aSource,
                                                             ConversionContext aConversionContext)
                                                      throws ConversionFailedException

      Converts the provided `DateValue` to a `FormattedString`.
      Parameters:
        `aSource` - the source value
        `aConversionContext` - the conversion context
      Returns:
        the resulting string
      Throws:
        `ConversionFailedException`